Skip to main content
GET
Get Job Status Details

Authorizations

X-API-KEY
string
header
required

Path Parameters

job_id
string<uuid>
required

ID of the job to retrieve status for.

Response

Status of a document upload job, including created documents and files that were duplicates, non-utility, password-protected, or failed processing.

id
string
required

The ID of the job.

Maximum string length: 255
status
enum<string>
required

The current status of the job, one of: PENDING, COMPLETED, FAILED. COMPLETED includes jobs that produced no new documents (duplicates, non-utility files, password-protected files, or processing errors). If the job status is FAILED, please contact our support team.

  • PENDING - Pending
  • COMPLETED - Completed
  • FAILED - Failed
Available options:
PENDING,
COMPLETED,
FAILED
parsedDocumentIds
string[]

List of document IDs that were processed successfully by the job. This is only populated if the job is completed. Empty when the job finished without creating new documents.

duplicates
integer

Number of duplicate files detected by the job. This is only populated if the job is completed.

duplicateDocumentIds
string[]

List of document IDs that were identified as duplicates by the job. This is only populated if the job is completed.

nonUtilityDocumentIds
string[]

List of document IDs that were identified as non-utility documents by the job. This is only populated if the job is completed.

passwordProtectedDocumentIds
string[]

List of document IDs that were identified as password-protected by the job. This is only populated if the job is completed.

errorDocumentIds
string[]

List of document IDs that failed processing. This is only populated if the job is completed.

terminationReason
string | null

The reason the job failed. This is only populated if the job status is FAILED.